<div class="heading">
  <h2 class="subtitle">
    Artikel {{vm.updating ? 'bearbeiten' : 'anlegen'}}
  </h2>
</div>

<div class="columns">
  <div class="column">
    <label class="label">Vorlagen</label>
    <p class="control">
      <span class="select is-fullwidth">
        <select class="form-control"
                ng-disabled="vm.updating"
                ng-model="vm.selectedType"
                ng-options="type.text for type in vm.articleTypes"
                ng-change="vm.updateForm()">
        </select>
      </span>
    </p>
  </div>

  <!-- show notifications on success or error -->
  <div class="column">
    <div ng-if="vm.resultMessage.text"
         class="notification"
         ng-class="vm.resultMessage.type">
      <button class="delete" ng-click="vm.hideMessage()"></button>
      {{vm.resultMessage.text}}
    </div>
  </div>
</div>

<div class="columns">
  <div class="column">
    <ng-form name="form"
             novalidate>
      <div class="columns">
        <div class="column"
             ng-class="vm.article.type == 'protocol' ? 'is-three-quarters' : ''">
          <!-- title input -->
          <label class="label">Titel</label>
          <p class="control has-icon has-icon-right">
            <input class="input"
                   type="text"
                   name="titleTF"
                   id="titleTF"
                   ng-model="vm.article.title"
                   placeholder="Titel"
                   required ng-required="true">
            <i class="fa fa-warning"
               ng-if="form.titleTF.$touched && !form.titleTF.$valid">
            </i>
            <span class="help is-danger is-pulled-right"
                  ng-if="form.titleTF.$touched && !form.titleTF.$valid">
              Titel ist erforderlich.
            </span>
          </p>
        </div>

        <div class="column"
             ng-if="vm.article.type == 'protocol'"
             ng-class="vm.article.type == 'protocol' ? 'is-one-quarter' : ''">
          <label class="label">Sachgebiet</label>
          <p class="control">
            <span class="select is-fullwidth">
              <select class="form-control"
                      ng-model="vm.article.department"
                      ng-options="department.numeral for department in vm.departments track by department.id"
                      ng-change="vm.updateDepartment()"
                      required>
              </select>
            </span>
          </p>
        </div>
      </div>

      <!-- short text input -->
      <label class="label">Kurzbeschreibung</label>
      <p class="control">
        <input type="text"
               class="input"
               ng-model="vm.article.shortText"
               name="shortTF"
               required>
      </p>

        <!--<label class="label">Langtext (optional)</label>-->
        <!--<p class="control">
          <textarea ui-tinymce="vm.tinymceOptions"
                    ng-model="vm.article.longtext"
                    placeholder="Langtext">
          </textarea>
        </p>-->

      <label class="label">Anhänge</label>
      <p class="control">
        <div class="level" ng-repeat="link in vm.article.links track by $index">
          <div class="level-left">
            <div class="level-item">
              {{link.name}}
            </div>
          </div>
          <div class="level-right">
            <div class="level-item">
              <a ng-click="vm.followLink(link)">Link folgen</a>
            </div>
            <div class="level-item">
              <div class="control">
                <button class="button is-danger is-inverted"
                        ng-click="vm.removeLink($index, link)">
                  <span>entfernen</span>
                </button>
              </div>
            </div>
          </div>
        </div>
      </p>
    </ng-form>

    <div class="content">
      <fa-link-creator article-links="vm.article.links"></fa-link-creator>
    </div>

    <div class="content">
      <p class="control">
        <button type="button"
                class="button is-success"
                ng-disabled="!form.$valid"
                ng-hide="vm.updating"
                ng-click="vm.create()">
          Artikel speichern
        </button>
        <button type="button"
                class="button is-warning"
                ng-show="vm.updating"
                ng-click="vm.update()">
          Änderung speichern
        </button>
        <button type="button"
                class="button is-default"
                ng-click="vm.cancel()">
          Abbrechen
        </button>
      </p>
    </div>

  </div><!-- .column -->

  <!--<div class="column is-1"></div>-->

  <div class="column">
    <div class="content">
      <label class="label">Vorschau</label>
      <div>
        <fa-article-list articles="[vm.article]"></fa-article-list>
      </div>
    </div>
  </div>

</div><!-- .columns -->
